version: '3.3'

services:
  db:
    image: mariadb:10.5
    container_name: matomo-db
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: matomo
      MYSQL_USER: matomo
      MYSQL_PASSWORD: matomo
    volumes:
      - /home/icke/matomo_db/:/var/lib/mysql

  matomo:
    image: matomo:latest
    container_name: matomo-app
    restart: unless-stopped
    ports:
      - "8093:80"
    environment:
      MATOMO_DATABASE_HOST: db
      MATOMO_DATABASE_ADAPTER: mysqli
      MATOMO_DATABASE_TABLES_PREFIX: matomo_
      MATOMO_DATABASE_USERNAME: matomo
      MATOMO_DATABASE_PASSWORD: matomo
      MATOMO_DATABASE_DBNAME: matomo
    volumes:
      - /home/icke/matomo_app/:/var/www/html
    depends_on:
      - db

volumes:
  db_data:
  matomo_data:

          #was das wohl ist?
